> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post userusername



## OpenAPI

````yaml post /user/username
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/username:
    post:
      tags:
        - Users
      operationId: UserController_updateUsername
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUsernameDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserEntity'
components:
  schemas:
    UpdateUsernameDto:
      type: object
      properties:
        username:
          type: string
      required:
        - username
    UserEntity:
      type: object
      properties:
        principal:
          type: string
        username:
          type: string
        bio:
          type: string
        image:
          type: string
        referrer:
          type: string
        admin:
          type: boolean
        ref_code:
          type: string
        profit:
          format: int64
          type: integer
        total_asset_value:
          format: int64
          type: integer
        referral_count:
          type: number
        referral_earnings:
          format: int64
          type: integer
        access_allowed:
          type: boolean
        beta_access_codes:
          type: string
        btc_deposit_address:
          type: string
        blife_id:
          type: string
        created_at:
          format: date-time
          type: string
        btc_wallet_address:
          type: string
        rune_deposit_address:
          type: string
      required:
        - principal
        - username
        - admin
        - ref_code
        - profit
        - total_asset_value
        - referral_count
        - referral_earnings
        - access_allowed
        - beta_access_codes
        - btc_deposit_address
        - blife_id
        - created_at
        - btc_wallet_address
        - rune_deposit_address

````